unit FontsForm_SRC;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFontsForm = class(TForm)
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    ColHeaderEdit: TEdit;
    RowHeaderEdit: TEdit;
    PCellEdit: TEdit;
    NCellEdit: TEdit;
    ZCellEdit: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Accept: TButton;
    Cancel: TButton;
    FontDialog1: TFontDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FontsForm: TFontsForm;

implementation

{$R *.dfm}

procedure TFontsForm.Button1Click(Sender: TObject);
var
   i : integer;
begin
if FontDialog1.Execute then
   begin
   for i := 0 to ComponentCount - 1 do
       begin
       if (Components[i].Tag = TComponent(Sender).Tag) and (Components[i] is TEdit) then
          begin
          TEdit(Components[i]).Font.Assign(FontDialog1.Font);
          Exit;
          end;
       end;
   end;
end;

end.
